=== debian/changelog ===
mspdebug (0.13-1) unstable; urgency=low

  * New upstream version
    + Support for Olimex MSP430-JTAG-ISO and many new chips

 -- Luca Bruno <lucab@debian.org>  Wed, 17 Nov 2010 19:57:11 +0100

mspdebug (0.12-1) unstable; urgency=low

  * New upstream version
    + Support for flash BSL

 -- Luca Bruno <lucab@debian.org>  Sun, 07 Nov 2010 16:57:09 +0100

mspdebug (0.11-1) unstable; urgency=low

  * Initial release (Closes: #597753)

 -- Luca Bruno <lucab@debian.org>  Mon, 27 Sep 2010 12:26:51 +0200
