## mspdebug 0.16

=== Makefile ===
--- 
+++ 
@@ -64,7 +64,8 @@
 	  reader.o vector.o output_util.o expr.o fet_error.o binfile.o \
 	  fet_db.o usbutil.o titext.o srec.o device.o coff.o opdb.o output.o \
 	  cmddb.o stdcmd.o prog.o flash_bsl.o list.o simio.o simio_tracer.o \
-	  simio_timer.o simio_wdt.o simio_hwmult.o simio_gpio.o aliasdb.o
+	  simio_timer.o simio_wdt.o simio_hwmult.o simio_gpio.o aliasdb.o \
+	  gdb_proto.o gdbc.o
 	$(CC) $(LDFLAGS) $(PORTS_LDFLAGS) -o $@ $^ -lusb $(READLINE_LIBS)
 
 .c.o:
