=== debian/changelog ===
mspdebug (0.16-1) unstable; urgency=low

  * New upstream version 
    + Support for Olimex MSP-JTAG-TINY rev 2 and many new chips

 -- Luca Bruno <lucab@debian.org>  Tue, 14 Jun 2011 09:25:33 +0200

mspdebug (0.15-1) unstable; urgency=low

  * New upstream version
    + Initial IO peripheral simulator

 -- Luca Bruno <lucab@debian.org>  Tue, 05 Apr 2011 10:01:34 +0200

mspdebug (0.14-1) unstable; urgency=low

  * New upstream version
    + Bug fixes and new chips support

 -- Luca Bruno <lucab@debian.org>  Fri, 18 Feb 2011 10:47:31 +0100
