=== debian/changelog ===
mspdebug (0.18-1) unstable; urgency=low

  * New upstream version
    + GDB protocol bug fixes
    + Support for raw USB access to UIF and eZ430

 -- Luca Bruno <lucab@debian.org>  Tue, 08 Nov 2011 23:14:56 +0100
