=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

# Change TTY permission, run after default permission rules (prio. 91)
override_dh_installudev:
	dh_installudev --priority=92

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
