## mspdebug 0.21

=== debian/changelog ===
mspdebug (0.21-2) unstable; urgency=medium

  * Add missing includes, fix FTBFS with newer toolchain 
    (Closes: #701326, #701383)
  * Bump compat level to 9

 -- Luca Bruno <lucab@debian.org>  Sun, 12 May 2013 12:55:16 +0200

mspdebug (0.21-1) unstable; urgency=low

  * Upload to unstable

 -- Luca Bruno <lucab@debian.org>  Sun, 05 May 2013 23:18:38 +0200

mspdebug (0.21-0~exp1) experimental; urgency=low

  * New upstream version
    + Bug fixes and refactoring of drivers

 -- Luca Bruno <lucab@debian.org>  Tue, 29 Jan 2013 09:21:14 +0100

mspdebug (0.20-0~exp1) experimental; urgency=low

  * New upstream version
    + New chips support

 -- Luca Bruno <lucab@debian.org>  Sat, 18 Aug 2012 09:51:38 +0200
