=== debian/changelog ===
mspdebug (0.22-2build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:06:35 +0000

mspdebug (0.22-2) unstable; urgency=low

  * Fix build prefix for lookup path, thanks to Frederik Möllers
    (Closes: #730215)

 -- Luca Bruno <lucab@debian.org>  Fri, 22 Nov 2013 20:28:42 +0100

mspdebug (0.22-1) unstable; urgency=low

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Fri, 16 Aug 2013 12:26:32 +0200
