## mspdebug 0.25

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # MSPDebug - debugging tool for the eZ430
-# Copyright (C) 2009, 2010 Daniel Beer
+# Copyright (C) 2009-2015 Daniel Beer
 # Copyright (C) 2010 Andrew Armenia
 #
 # This program is free software; you can redistribute it and/or modify
@@ -25,50 +25,66 @@
 MANDIR = ${PREFIX}/share/man/man1
 LIBDIR = ${PREFIX}/lib/
 
+UNAME_S := $(shell sh -c 'uname -s')
+UNAME_O := $(shell sh -c 'uname -o 2> /dev/null')
 
 ifdef WITHOUT_READLINE
 	READLINE_CFLAGS =
 	READLINE_LIBS =
+	CONSOLE_INPUT_OBJ = ui/input_console.o
 else
 	READLINE_CFLAGS = -DUSE_READLINE
 	READLINE_LIBS = -lreadline
+	CONSOLE_INPUT_OBJ = ui/input_readline.o
 endif
 
-UNAME_S := $(shell sh -c 'uname -s')
-UNAME_O := $(shell sh -c 'uname -o 2> /dev/null')
-
-ifeq ($(UNAME_S),Darwin) # Mac OS X/MacPorts stuff
-	PORTS_CFLAGS := -I/opt/local/include
-	PORTS_LDFLAGS := -L/opt/local/lib
-else
-  ifeq ($(UNAME_S),OpenBSD) # OpenBSD Ports stuff
-	PORTS_CFLAGS := $(shell pkg-config --cflags libusb)
-	PORTS_LDFLAGS := $(shell pkg-config --libs libusb) -ltermcap -pthread
-  else
-	PORTS_CFLAGS :=
-	PORTS_LDFLAGS :=
-  endif
-endif
+BSLHID_OBJ ?= transport/bslhid.o
+RF25000_OBJ ?= transport/rf2500.o
 
 ifeq ($(OS),Windows_NT)
-    MSPDEBUG_CC = gcc
+    MSPDEBUG_CC = $(CC)
     BINARY = mspdebug.exe
-
     ifneq ($(UNAME_O),Cygwin)
 	OS_LIBS = -lws2_32 -lregex
-	OS_CFLAGS = -D__Windows__
+	OS_CFLAGS = -D__Windows__ -DNO_SHELLCMD
+	RM = del
     endif
 else
     MSPDEBUG_CC = $(CC)
     BINARY = mspdebug
 
-    ifneq ($(filter $(UNAME_S),OpenBSD),)
+
+    ifneq ($(filter $(UNAME_S),OpenBSD NetBSD),)
 	OS_LIBS =
-    else ifneq ($(filter $(UNAME_S),FreeBSD),)
+    else ifneq ($(filter $(UNAME_S),FreeBSD DragonFly),)
 	OS_CFLAGS = -pthread
 	OS_LIBS = -lpthread
+    else ifneq ($(filter $(UNAME_S),SunOS),)
+	OS_LIBS = -lpthread -ldl -lresolv -lsocket -lnsl
     else
 	OS_LIBS = -lpthread -ldl
+    endif
+
+    ifeq ($(UNAME_S),Darwin) # Mac OS X/MacPorts stuff
+      ifeq ($(shell fink -V > /dev/null 2>&1 && echo ok),ok)
+	PORTS_CFLAGS := $(shell pkg-config --cflags hidapi libusb)
+	PORTS_LDFLAGS := $(shell pkg-config --libs hidapi libusb) -ltermcap -pthread
+      else ifeq ($(shell brew --version > /dev/null 2>&1 && echo ok),ok)
+	PORTS_CFLAGS := $(shell pkg-config --cflags hidapi)
+	PORTS_LDFLAGS := $(shell pkg-config --libs hidapi) -framework IOKit -framework CoreFoundation
+      else
+	PORTS_CFLAGS := -I/opt/local/include
+	PORTS_LDFLAGS := -L/opt/local/lib -lhidapi -framework IOKit -framework CoreFoundation
+      endif
+      BSLHID_OBJ = transport/bslosx.o
+      RF25000_OBJ = transport/rf2500hidapi.o
+      LDFLAGS =
+    else ifneq ($(filter $(UNAME_S),OpenBSD NetBSD DragonFly),)
+	PORTS_CFLAGS := $(shell pkg-config --cflags libusb)
+	PORTS_LDFLAGS := $(shell pkg-config --libs libusb) -ltermcap -pthread
+    else
+	PORTS_CFLAGS :=
+	PORTS_LDFLAGS :=
     endif
 endif
 
@@ -77,15 +93,32 @@
 CONFIG_CFLAGS = -DLIB_DIR=\"$(LIBDIR)\"
 
 MSPDEBUG_LDFLAGS = $(LDFLAGS) $(PORTS_LDFLAGS)
-MSPDEBUG_LIBS = -lusb $(READLINE_LIBS) $(OS_LIBS)
+MSPDEBUG_LIBS = -L. -lusb $(READLINE_LIBS) $(OS_LIBS)
 MSPDEBUG_CFLAGS = $(CFLAGS) $(READLINE_CFLAGS) $(PORTS_CFLAGS)\
  $(GCC_CFLAGS) $(INCLUDES) $(CONFIG_CFLAGS) $(OS_CFLAGS)
 
 all: $(BINARY)
 
+
+ifeq ($(OS),Windows_NT)
 clean:
-	rm -f */*.o
-	rm -f $(BINARY)
+    ifeq ($(UNAME_O),Cygwin)
+	$(RM) */*.o
+	$(RM) $(BINARY)
+    else
+	$(RM) drivers\*.o
+	$(RM) formats\*.o
+	$(RM) simio\*.o
+	$(RM) transport\*.o
+	$(RM) ui\*.o
+	$(RM) util\*.o
+	$(RM) $(BINARY)
+    endif
+else
+clean:
+	$(RM) */*.o
+	$(RM) $(BINARY)
+endif
 
 install: $(BINARY) mspdebug.man
 	mkdir -p $(DESTDIR)$(BINDIR)
@@ -118,12 +151,15 @@
     util/demangle.o \
     util/powerbuf.o \
     util/ctrlc.o \
+    util/chipinfo.o \
+    util/gpio.o \
     transport/cp210x.o \
     transport/cdc_acm.o \
     transport/ftdi.o \
-    transport/rf2500.o \
     transport/ti3410.o \
     transport/comport.o \
+    $(BSLHID_OBJ) \
+    $(RF25000_OBJ) \
     drivers/device.o \
     drivers/bsl.o \
     drivers/fet.o \
@@ -140,8 +176,18 @@
     drivers/devicelist.o \
     drivers/fet_olimex_db.o \
     drivers/jtdev.o \
+    drivers/jtdev_bus_pirate.o \
+    drivers/jtdev_gpio.o \
     drivers/jtaglib.o \
     drivers/pif.o \
+    drivers/loadbsl.o \
+    drivers/loadbsl_fw.o \
+    drivers/hal_proto.o \
+    drivers/v3hil.o \
+    drivers/fet3.o \
+    drivers/bsllib.o \
+    drivers/rom_bsl.o \
+    drivers/tilib_api.o \
     formats/binfile.o \
     formats/coff.o \
     formats/elf32.o \
@@ -167,12 +213,14 @@
     ui/aliasdb.o \
     ui/power.o \
     ui/input.o \
-    ui/input_console.o \
     ui/input_async.o \
+    $(CONSOLE_INPUT_OBJ) \
     ui/main.o
 
 $(BINARY): $(OBJ)
 	$(MSPDEBUG_CC) $(MSPDEBUG_LDFLAGS) -o $@ $^ $(MSPDEBUG_LIBS)
 
+util/chipinfo.o:	chipinfo.db
+
 .c.o:
 	$(MSPDEBUG_CC) $(MSPDEBUG_CFLAGS) -o $@ -c $*.c
