=== debian/changelog ===
mspdebug (0.25-1) unstable; urgency=low

  * Team upload.

  [ Andrew Bradford ]
  * gbp.conf: Fix import-orig section name
  * watch: update for upstream move to github
  * New upstream version 0.25
    (Closes: #749434)
  * Bump compat level to 10
  * Bump Standards-Version to 4.1.3
  * Update copyright for upstream  move to github

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Remove empty debian/patches/series.
  * Use secure URI in Homepage field.

  [ Petter Reinholdtsen ]
  * Grant device access to console users, not plugdev members
    Closes: #1076484
  * Add AppStream metainfo XML with hardware provide info.
    Closes: #1076485

 -- Andreas Tille <tille@debian.org>  Fri, 29 Nov 2024 20:19:04 +0100
