=== debian/control ===
Source: mspdebug
Maintainer: Luca Bruno <lucab@debian.org>
Section: electronics
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libusb-dev,
               libreadline-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/crosstoolchain-team/mspdebug
Vcs-Git: https://salsa.debian.org/crosstoolchain-team/mspdebug.git
Homepage: https://mspdebug.sourceforge.net/
Rules-Requires-Root: no

Package: mspdebug
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: debugging tool for MSP430 microcontrollers
 MSPDebug is a free debugger for use with MSP430 MCUs. It supports FET430UIF,
 eZ430, RF2500 and Olimex MSP-JTAG-TINY programmers. It can be used as a proxy
 for gdb or as an independent debugger with support for programming, disassembly
 and reverse engineering.
