=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,3 @@
 
 override_dh_auto_build:
 	dh_auto_build -- PREFIX=/usr
-
