=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%mspdebug-$1.tar.gz%" \
  https://github.com/dlbeer/mspdebug/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
